import { AfterContentChecked, ElementRef, EventEmitter } from '@angular/core';
import { SelectOptionModel } from './select-option.model';
export declare class SelectOptionComponent implements AfterContentChecked {
    static readonly defaultProps: SelectOptionModel;
    optionTemplateRef: ElementRef;
    onClickEmitter: EventEmitter<string>;
    className: string;
    disabled: boolean;
    value: string;
    prefix: string;
    content: HTMLElement;
    isActive: boolean;
    transitionDuration: number;
    constructor();
    ngAfterContentChecked(): void;
    onClick(): void;
    emitClick(): void;
}
